Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui
Class EnvironmentTab.EnvironmentVariableLabelProvider

    java.lang.Object
      org.eclipse.jface.viewers.LabelProvider
          org.eclipse.debug.ui.EnvironmentTab.EnvironmentVariableLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider, ITableLabelProvider

Enclosing class:
  EnvironmentTab

public class EnvironmentTab.EnvironmentVariableLabelProvider
extends LabelProvider
implements ITableLabelProvider

Label provider for the environment table

Constructor Summary
`EnvironmentTab.EnvironmentVariableLabelProvider()`

Method Summary
`Image` | `getColumnImage(Object element, int columnIndex)` Returns the label image for the given column of the given element.
`String` | `getColumnText(Object element, int columnIndex)` Returns the label text for the given column of the given element.

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`addListener, dispose, fireLabelProviderChanged, getImage, getText, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### EnvironmentTab.EnvironmentVariableLabelProvider

    public EnvironmentTab.EnvironmentVariableLabelProvider()

Method Detail

### getColumnText

    public String getColumnText(Object element,
                                int columnIndex)

  Description copied from interface: `ITableLabelProvider`
  Returns the label text for the given column of the given element.

  Specified by:
    `getColumnText` in interface `ITableLabelProvider`
  Parameters:
    `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
    `columnIndex` - the zero-based index of the column in which the label appears

### getColumnImage

    public Image getColumnImage(Object element,
                                int columnIndex)

  Description copied from interface: `ITableLabelProvider`
  Returns the label image for the given column of the given element.

  Specified by:
    `getColumnImage` in interface `ITableLabelProvider`
  Parameters:
    `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
    `columnIndex` - the zero-based index of the column in which the label appears

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.